% Calcolo di pigreco con Monte Carlo

rand('seed', 654321)

NC=0;
n_run = 1000;
pi_est = zeros(1,500);

for i=1:n_run
    x = -1+2*rand(1,i*100);
    y = -1+2*rand(1,i*100);
    NC = sum(x.^2 + y.^2 <= 1);
    pi_est(i) = NC/(i*100)*4;
end

plot(pi_est)